Skip to main content
GET
List all forms
Replace {your-subdomain} with your workspace’s subdomain.
Learn how to find your subdomain in Workspace subdomain.

Headers

X-Api-Key
string
default:your-api-key
required

Use the X-Api-Key header to provide your workspace API key. Refer to Authentication for more information.

Query Parameters

status
string

Only return forms with this status (active, archived or favorite). Any other value returns all forms.

Words that must all appear in the form title, case-insensitive. Archived forms are included unless status narrows the list.

order
enum<string>
default:asc

Sort direction by creation time, asc (oldest first) or desc (newest first). Defaults to asc.

Available options:
asc,
desc
page_number
integer

Page of results to retrieve, starting from 1. When omitted, all results are returned in one response and page_size is ignored.

page_size
integer

Number of results per page. Defaults to 30 when omitted.

Response

OK - Request succeeded

forms
object[]
pagination
object
total_count
integer